Get all contributions [DEPRECATED: Use transaction routes] Deprecated Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/plans/{plan_uuid}/contributions/{subAccount}

Path parameters

  • plan_uuid string Required
  • subAccount integer Required

    Optional parameter. An optional sub-account to constrain the results by.

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, type, started_at, ended_at, paid_at]. Negative sign to denote DESC. Defaults to '-paid_at,-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        uuid of the contribution

      • created_at string

        datetime the contribution was created

      • updated_at string

        datetime the contribution was updated

      • paid_at string

        datetime the money was paid

      • value object

        contribution value

        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
GET /api/v1/plans/{plan_uuid}/contributions/{subAccount}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/contributions/{"summary" => "When the value is omitted", "value" => ""}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "4d7d4099-48dc-4c22-868c-dcf65acd8118",
      "created_at": "2026-07-20T09:57:24+01:00",
      "updated_at": "2026-07-20T09:57:24+01:00",
      "paid_at": "2026-07-20T09:57:24+01:00",
      "value": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      }
    }
  ]
}